=== release 1.22.6 ===

2023-09-20 18:10:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.22.6

2023-07-20 16:57:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5082>

=== release 1.22.5 ===

2023-07-20 15:22:48 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.22.5

2021-05-01 16:52:22 -0400  Doug Nazar <nazard@nazar.ca>

	* ges/ges-validate.c:
	  ges: validate: Use correct types when getting structure values
	  From https://gitlab.freedesktop.org/gstreamer/gst-editing-services/-/merge_requests/247
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5055>

2021-05-01 16:50:11 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/ges/layer.c:
	* tests/check/ges/project.c:
	* tests/check/ges/test-utils.h:
	* tests/check/nle/nlecomposition.c:
	* tests/check/nle/tempochange.c:
	  ges: tests: Use correct variable types when setting properties
	  From https://gitlab.freedesktop.org/gstreamer/gst-editing-services/-/merge_requests/247
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5055>

2023-07-05 14:23:50 -0400  Thibault Saunier <tsaunier@igalia.com>

	* plugins/nle/nlecomposition.c:
	  nle: composition: Avoid running query before being constructed
	  `gst_pad_create_stream_id` runs a URI query on the element which
	  triggers traces for not constructed objects which fails in rust tracers
	  as object should have names in all traces.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4984>

2023-07-05 14:22:59 -0400  Thibault Saunier <tsaunier@igalia.com>

	* ges/ges-pipeline.c:
	  ges: pipeline: Avoid setting state before being constructed
	  It means setting state which triggers traces for not constructed objects
	  which fails in rust tracers as object should have names in all traces.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4984>

2023-06-20 19:10:38 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4907>

=== release 1.22.4 ===

2023-06-20 17:42:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.22.4

2023-04-18 17:19:16 -0400  Thibault Saunier <tsaunier@igalia.com>

	* tests/check/ges/effects.c:
	  ges: tests: Use assert_equals_int where it makes sense
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4743>

2023-04-28 17:55:45 +0200  Thibault Saunier <tsaunier@igalia.com>

	* tools/ges-launcher.c:
	  ges: launcher: Never put sinks in a GstPipeline
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4743>

2023-05-19 12:36:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4679>

=== release 1.22.3 ===

2023-05-19 09:23:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.22.3

2023-04-18 13:03:00 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ges/ges-base-xml-formatter.c:
	  ges: base-xml-formatter: Don't pass non-GObject pointers to GST_DEBUG_OBJECT
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4444>

2023-04-12 00:31:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.22.2 ===

2023-04-11 17:29:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.22.2

2023-03-04 16:13:04 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.22.1 ===

2023-03-04 13:42:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.22.1

2023-01-31 21:38:09 -0700  James Hilliard <james.hilliard1@gmail.com>

	* meson.build:
	  Fix gstreamer-validate-1.0 dependency name
	  The gst-devtools project generates gstreamer-validate-1.0.pc, this
	  must match the dependency in gst-editing-services for detection
	  to work properly.
	  Fixes:
	  Run-time dependency gst-validate-1.0 found: NO (tried pkgconfig and cmake)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3872>

2023-01-25 16:46:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.22.0 ===

2023-01-23 19:29:34 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.22.0

2023-01-12 11:52:21 -0300  Thibault Saunier <tsaunier@igalia.com>

	* ges/ges-smart-video-mixer.c:
	  ges: smart-mixer: Avoid video freeze on NLE stack changes
	  Since we support "nested compositors"[0] we were not finalizing the pads_infos
	  and thus not releasing the mixer pad on stack change, meaning that
	  the following stacks were never prerolling.
	  [0] https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2094
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3738>

2023-01-12 11:07:45 -0300  Thibault Saunier <tsaunier@igalia.com>

	* ges/ges-internal.h:
	* ges/ges-smart-video-mixer.c:
	* ges/ges-smart-video-mixer.h:
	* ges/gstframepositioner.c:
	* ges/gstframepositioner.h:
	  ges: Fix issues avoiding to use `operator` when unavailable on mixer
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3738>

=== release 1.21.90 ===

2023-01-13 19:08:48 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.21.90

2023-01-11 12:17:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tools/ges-launch.c:
	  tools: Use `gst_macos_main()` on macOS
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1673
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3709>

2023-01-04 21:37:55 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	  docs: explicitly declare gir build dependencies
	  As the path to the gir file is passed to hotdoc.generate_doc() and
	  not the build target itself, meson doesn't know about the dependency.
	  In turn, as the CI doesn't build everything before building the
	  documentation target, some gir files might not exist, for instance
	  in the case of gst-rtsp-server, causing the output documentation to
	  be empty.
	  The error occurred silently because hotdoc accepts wildcards for
	  *-sources arguments, thus it won't warn about a missing gir file as
	  it is legitimate for glob matching to resolve to nothing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3686>

2023-01-04 12:21:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ges/ges-pipeline.c:
	* ges/ges-timeline.c:
	  ges: gst_bin_add() is `transfer floating` so wrappers around it are too
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3678>

2022-12-13 08:58:43 -0500  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	  Fix API visibility macros
	  This copies the logic from GLib discussed there:
	  https://gitlab.gnome.org/GNOME/glib/-/merge_requests/2936
	  Beside being simpler, it also fix all public symbols being annotated
	  with dllexport when doing a static build, as discovered there:
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3540#note_1678335
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3567>

2022-12-05 02:29:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.21.3 ===

2022-12-05 01:28:21 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.21.3

2022-12-04 12:25:41 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Remove ChangeLog files from git repository
	  This information is tracked fully in the git repository, so
	  no point having the ChangeLog duplicate it, and it interferes
	  with grepping the repository.
	  We are going to create the ChangeLogs on the fly when generating
	  tarballs going forward (with a limited history), since it's still
	  valuable for tarball consumers to be able to easily see a list of
	  recent changes.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer-project/-/issues/73
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3521>

2022-11-07 00:10:39 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* scripts/gen-changelog.py:
	  meson: Generate ChangeLog files for release tarballs on dist
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3521>

2022-10-25 23:12:00 -0300  Thibault Saunier <tsaunier@igalia.com>

	* ges/ges-timeline-tree.c:
	* ges/ges-timeline.c:
	* ges/ges-timeline.h:
	* tests/check/python/test_timeline.py:
	  ges: Add API to disable timeline coherence checks
	  There are cases where user might want to be in full control of the
	  timeline and not be limited by the checks that are being done by GES
	  to go from one timeline layout to another, this should be doable as
	  it is a valid use case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3501>

2022-11-16 16:20:15 +0100  Edward Hervey <bilboed@bilboed.com>

	* tools/ges-launcher.c:
	  ges-launcher: Don't leak string
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3428>

2022-11-16 16:19:52 +0100  Edward Hervey <bilboed@bilboed.com>

	* plugins/ges/gesdemux.c:
	  ges-demux: Don't leak string
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3428>

2022-11-16 16:19:05 +0100  Edward Hervey <edward@centricular.com>

	* ges/ges-xml-formatter.c:
	  ges-xml-formatter: Plug some leaks
	  * Don't leak the mainloop
	  * Don't leak temporary strings
	  * Don't leak id when searching in hash table
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3428>

2022-11-16 16:18:19 +0100  Edward Hervey <bilboed@bilboed.com>

	* ges/ges-project.c:
	  ges-project: Don't leak string
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3428>

2022-11-16 12:45:27 +0100  Edward Hervey <edward@centricular.com>

	* ges/ges-structure-parser.c:
	  ges-structure-parser: Don't leak failed strings
	  We pass the ownership of current_string to the list of wrong strings, it will be
	  cleared then.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3428>

2022-11-16 12:44:56 +0100  Edward Hervey <edward@centricular.com>

	* tools/ges-launcher.c:
	  ges-launch: Don't leak help string
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3428>

2022-11-08 02:08:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3358>

=== release 1.21.2 ===

2022-11-07 23:53:59 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.21.2

2022-11-07 23:53:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.21.2

2022-10-24 14:40:55 -0500  Patrick Griffis <pgriffis@igalia.com>

	* tests/check/meson.build:
	  build: Fix building ges with tools disabled
	  If you configure with `tools=disabled` then ges_launch is undefined.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3259>

2022-10-25 09:39:07 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ges/ges-asset.c:
	* ges/ges-clip.c:
	* ges/ges-formatter.h:
	* ges/ges-pipeline.c:
	* ges/ges-project.c:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline.c:
	  Fix various warnings from gobject-introspection
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3261>

2022-10-17 19:45:30 -0500  Fabian Orccon <forccon@fluendo.com>

	* ges/ges-transition-clip.c:
	* tests/check/ges/transition.c:
	  ges: transition: Notify vtype change on ges_extractable_set_asset call
	  Fixes #1454
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3215>

2022-10-15 19:36:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ges/ges-asset.c:
	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-layer.c:
	* ges/ges-meta-container.c:
	* ges/ges-pipeline.c:
	* ges/ges-project.c:
	* ges/ges-screenshot.c:
	* ges/ges-text-overlay-clip.c:
	* ges/ges-text-overlay.c:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline.c:
	* ges/ges-title-clip.c:
	* ges/ges-title-source.c:
	* ges/ges-track-element.c:
	* ges/ges-track.c:
	* ges/ges-utils.c:
	  ges: Add/fix various annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3194>

2022-10-04 03:57:31 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3115>

=== release 1.21.1 ===

2022-10-04 01:14:01 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-editing-services.doap:
	* meson.build:
	  Release 1.21.1

2022-10-04 01:13:59 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.21.1

2022-09-21 19:19:45 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Use implicit builtin dirs in pkgconfig generation
	  Starting with Meson 0.62, meson automatically populates the variables
	  list in the pkgconfig file if you reference builtin directories in the
	  pkgconfig file (whether via a custom pkgconfig variable or elsewhere).
	  We need this, because ${prefix}/libexec is a hard-coded value which is
	  incorrect on, for example, Debian.
	  Bump requirement to 0.62, and remove version compares that retained
	  support for older Meson versions.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1245
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3061>

2022-09-08 11:38:34 -0400  Thibault Saunier <tsaunier@igalia.com>

	* ges/ges-video-source.c:
	  ges-video-source: Remove limit on frame duplication on EOS in videorate
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1352
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3000>

2022-09-06 17:24:51 -0400  Thibault Saunier <tsaunier@igalia.com>

	* plugins/nle/nlecomposition.c:
	  nlecomposition: Minor debug enhancement
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3000>

2022-09-06 17:24:22 -0400  Thibault Saunier <tsaunier@igalia.com>

	* ges/ges-video-source.c:
	  ges: Enhance element names in video uri sources
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3000>

2022-08-29 10:17:45 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Do not build plugins to build the doc
	  It is not actually necessary
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2954>

2021-03-24 14:20:18 -0500  Zebediah Figura <z.figura12@gmail.com>

	* meson.build:
	  meson: Build with -Wl,-z,nodelete to prevent unloading of dynamic libraries and plugins
	  GLib made the unfortunate decision to prevent libgobject from ever being
	  unloaded, which means that now any library which registers a static type
	  can't ever be unloaded either (and any library that depends on those,
	  ad nauseam).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/778>

2022-09-10 19:16:39 +0200  Christoph Reiter <reiter.christoph@gmail.com>

	* meson.build:
	  meson: use python.get_install_dir() to find the pygobject overrides dir
	  Instead of trying to hardcode site-packages paths for different platforms
	  just use python.get_install_dir() from meson and let it deal with the rest.
	  Also no longer try to import pygobject, which would otherwise not be
	  required at build time.
	  python.get_install_dir() was at the beginning broken on Windows, but
	  that was fixed in 0.60 via https://github.com/mesonbuild/meson/pull/9156
	  and since ges now requires >0.60 this can be ignored.
	  This change was motivated by the install path being wrong under MSYS2, where
	  the unix install layout is used and the detection code not taking that into
	  account.
	  This MR is a continuation of https://gitlab.freedesktop.org/gstreamer/gst-editing-services/-/merge_requests/230
	  see the discussion there for extra context.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3012>

2022-09-01 15:11:31 -0400  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* plugins/ges/meson.build:
	* plugins/nle/meson.build:
	  meson: Call pkgconfig.generate in the loop where we declare plugins dependencies
	  Removing some copy pasted code
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2970>

2022-09-01 11:51:48 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	* ges/meson.build:
	* meson.build:
	  meson: Namespace the plugins_doc_dep/libraries variables
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2970>

2022-08-31 18:44:14 -0400  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	  meson: Rename plugins list and make them "dependency" objects
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2970>

2022-08-02 06:54:38 +0900  Seungha Yang <seungha@centricular.com>

	* ges/ges-utils.c:
	  ges: Update outdated comment
	  d3d11compositor is a videoaggregator subclass and no more wrapper bin
	  since the MR
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2631
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2825>

2022-01-22 02:24:23 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ges/ges-clip.c:
	* ges/ges-container.c:
	* ges/ges-uri-clip.c:
	* tests/check/ges/clip.c:
	  ges: preserve discovery order
	  The previous code was storing container children in reverse
	  addition order, this was mitigated by the fact that track elements
	  were also stored in reverse order, thus restoring the original
	  order, but it seems more consistent to preserve order throughout,
	  the extra cost of append operations is negligible.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1549>

2022-06-29 10:55:13 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  coding style: allow declarations after statement
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1243/
	  and https://gitlab.freedesktop.org/gstreamer/gstreamer-project/-/issues/78
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2683>

2022-06-16 22:40:21 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ges/gstframepositioner.c:
	  ges/gstframepositioner: don't create one compositor per frame meta
	  Instead, cache the looked up operator property
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2623>

2022-04-06 12:56:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Bump GLib requirement to >= 2.62
	  Can't require 2.64 yet because of
	  https://gitlab.freedesktop.org/gstreamer/cerbero/-/issues/323
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2568>

2022-05-13 10:23:54 +1000  Matthew Waters <matthew@centricular.com>

	* ges/ges-video-uri-source.c:
	  ges/videourisource: handle non-1/1 PAR source videos
	  The automatic scaling done by framepositioner does not account for the
	  par of the video source.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2423>

2022-05-06 12:17:14 +0300  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* ges/ges-enums.c:
	* ges/ges-enums.h:
	* ges/ges-video-transition.c:
	  ges-video-transition: add a new "fade-in" transition type
	  This transition is meant to be very similar to crossfade, but
	  instead of fading out the background video at the same time as the
	  foreground fades in, the background video stays at 100% opacity
	  during the whole transition.
	  This essentially "restores" the old crossfade behaviour that was changed in:
	  https://gitlab.freedesktop.org/gstreamer/gst-editing-services/-/commit/eb48faf34234811faec1699692a2c096daaceefd
	  but using a new type enum, so that both behaviours are available,
	  letting applications choose.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2385>

2022-03-30 11:06:02 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	  Use gmodule-no-export-2.0
	  We don't need `-Wl,--export-dynamic`, that's used only for executables
	  that needs to export an API to be used by plugins they load.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2031>

2022-03-25 15:00:20 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	  Remove glib and gobject dependencies everywhere
	  They are part of gst_dep already and we have to make sure to always have
	  gst_dep. The order in dependencies matters, because it is also the order
	  in which Meson will set -I args. We want gstreamer's config.h to take
	  precedence over glib's private config.h when it's a subproject.
	  While at it, remove useless fallback args for gmodule/gio dependencies,
	  only gstreamer core needs it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2031>

2022-03-31 12:49:48 +0200  Xabier Rodriguez Calvar <calvaris@igalia.com>

	* ges/ges-smart-video-mixer.c:
	* ges/ges-smart-video-mixer.h:
	  ges-smart-video-mixer: use the proper pad to get the positioner meta
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2094>

2021-09-11 12:17:56 -0300  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* tools/meson.build:
	  tools: Add support for building gstreamer tools against gst-full
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1581>

2022-03-28 13:47:52 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* tools/utils.c:
	  ges: remove memory leak with description
	  free the capsdesc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2047>

2022-03-28 13:20:40 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* plugins/nle/nlecomposition.c:
	  nle: clear seek event properly
	  Use gst_clear_event instead of g_clear_object
	  avoiding a failing gobject unref
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2047>

2022-03-14 09:06:46 -0300  Thibault Saunier <tsaunier@igalia.com>

	* bindings/python/gi/overrides/GES.py:
	* bindings/python/gi/overrides/__init__.py:
	* ges/ges-timeline-element.c:
	* ges/ges-timeline-element.h:
	  Fix license as GES is released under the LGPL2+ license
	  This was a mistake that some of the licensing notice in a few files was
	  referring to GPL3+ and it needs fixing
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1956>

2022-03-18 13:42:27 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Bump all meson requirements to 0.60
	  Lots of new warnings ever since
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1934
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1977>

2022-02-21 11:37:26 -0500  Xavier Claessens <xavier.claessens@collabora.com>

	* bindings/python/meson.build:
	* tests/validate/meson.build:
	  devenv: Add some missing GStreamer specific env variables
	  This should make "meson devenv" closer to what "gst-env.py" sets.
	  - GST_VALIDATE_SCENARIOS_PATH
	  - GST_VALIDATE_APPS_DIR
	  - GST_OMX_CONFIG_DIR
	  - GST_ENCODING_TARGET_PATH
	  - GST_PRESET_PATH
	  - GST_PLUGIN_SCANNER
	  - GST_PTP_HELPER
	  - _GI_OVERRIDES_PATH
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1768>

2022-02-19 03:26:00 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/scenarios/complex_effect_bin_desc/flow-expectations/log-videosink-sink-expected:
	* tests/check/scenarios/seek_with_stop/flow-expectations/log-videosink-sink-expected:
	  scenarios: Update for videoaggregator rounding behavior change
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1747>

2022-02-10 10:13:27 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* meson.build:
	  ges: add missing plugin summary
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1682>

2022-02-04 11:15:47 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1635>

=== release 1.20.0 ===

